/***************************************************************************
                          filenamelabel.h  -  description
                             -------------------
    begin                : Sat Jan 19 2002
    copyright            : (C) 2002 by Steffen Sobiech
    email                : steffen.sobiech@gmx.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef FILENAMELABEL_H
#define FILENAMELABEL_H

#include <qwidget.h>
#include <qpushbutton.h>
#include <qlineedit.h>
#include <qfiledialog.h>
#include <qstringlist.h>

/**
  *@author Steffen Sobiech
  */

class FilenameLabel : public QWidget  {
   Q_OBJECT
private:
  bool dirmode;
  bool multibrowse;

  QPixmap *img;

  QLineEdit *lineedit;
  QPushButton *button;

protected:
  void resizeEvent(QResizeEvent*);

public:
  void setText(QString s);
  QString text();
  QSize sizeHint() const;
  QSize minimumSizeHint() const;
	FilenameLabel(QWidget *parent=0, const char *name=0, bool dironly=false,
                bool multi=false);
	~FilenameLabel();

public slots:
  void browse();
  void editTextChanged();

signals:
  void textChanged();
};

#endif
