/***************************************************************************
                          qvcdburndlg.cpp  -  description
                             -------------------
    begin                : Sat Jan 26 2002
    copyright            : (C) 2002 by Steffen Sobiech
    email                : steffen.sobiech@gmx.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "qvcdburndlg.h"

QvcdBurnDlg::QvcdBurnDlg(QWidget *parent, const char* name)
  : QDialog(parent, name, true)
{
  vboxlayout1 = new QVBoxLayout(this, 0, 5);
  hboxlayout1 = new QHBoxLayout(5);
  gridlayout1 = new QGridLayout(0, 5, 5, 0, 5);

  vboxlayout1->addLayout(gridlayout1);

  burn_check = new QCheckBox(this);
  burn_check->setChecked(true);
  burn_check->setText(tr("Burn CD"));
  gridlayout1->addWidget(burn_check, 1, 1);
  connect(burn_check, SIGNAL(clicked()), SLOT(burn_triggered()));

  burnerdevice_label = new QLabel(this);
  burnerdevice_label->setText(tr("Burner device:"));
  gridlayout1->addWidget(burnerdevice_label, 2, 1);

  burnerdevice_edit = new QLineEdit(this);
  burnerdevice_edit->setText("/dev/scd0");
  burnerdevice_edit->setEnabled(true);
  gridlayout1->addWidget(burnerdevice_edit, 2, 2);

  cdrdao_label = new QLabel(this);
  cdrdao_label->setText(tr("cdrdao binary:"));
  gridlayout1->addWidget(cdrdao_label, 3, 1);

  cdrdao_edit = new QLineEdit(this);
  cdrdao_edit->setText("cdrdao");
  cdrdao_edit->setEnabled(true);
  gridlayout1->addWidget(cdrdao_edit, 3, 2);

  vcdimager_label = new QLabel(this);
  vcdimager_label->setText(tr("vcdimager binary:"));
  gridlayout1->addWidget(vcdimager_label, 4, 1);

  vcdimager_edit = new QLineEdit(this);
  vcdimager_edit->setText("vcdimager");
  vcdimager_edit->setEnabled(true);
  gridlayout1->addWidget(vcdimager_edit, 4, 2);

  speed_label = new QLabel(this);
  speed_label->setText(tr("Burning speed:"));
  gridlayout1->addWidget(speed_label, 5, 1);

  speed_spin = new QSpinBox(1, 32, 1, this);
  speed_spin->setEnabled(true);
  gridlayout1->addWidget(speed_spin, 5, 2);

  addoptions_label = new QLabel(this);
  addoptions_label->setEnabled(true);
  addoptions_label->setText(tr("Additional options:"));
  gridlayout1->addWidget(addoptions_label, 6, 1);

  addoptions_edit = new QLineEdit(this);
  addoptions_edit->setEnabled(true);
  gridlayout1->addWidget(addoptions_edit, 6, 2);

  vboxlayout1->addStretch();

  vboxlayout1->addLayout(hboxlayout1);

  hboxlayout1->addStretch();

  OK_button = new QPushButton(this);
  OK_button->setText(tr("OK"));
  connect(OK_button, SIGNAL(clicked()), this, SLOT(OK_pressed()));
  hboxlayout1->addWidget(OK_button);

  hboxlayout1->addStretch();

  Cancel_button = new QPushButton(this);
  Cancel_button->setText(tr("Cancel"));
  connect(Cancel_button, SIGNAL(clicked()), this, SLOT(Cancel_pressed()));
  hboxlayout1->addWidget(Cancel_button);

  hboxlayout1->addStretch();
}

QvcdBurnDlg::~QvcdBurnDlg(){
}

void QvcdBurnDlg::showDialog(QvcdDoc *dataset)
{
  this->dataset = dataset;
  burn_check->setChecked(dataset->burn);
  burnerdevice_edit->setText(dataset->burnerdevice);
  burnerdevice_edit->setEnabled(dataset->burn);
  cdrdao_edit->setText(dataset->cdrdaobinary);
  cdrdao_edit->setEnabled(dataset->burn);
  vcdimager_edit->setText(dataset->vcdimagerbinary);
  speed_spin->setValue(dataset->burnspeed);
  speed_spin->setEnabled(dataset->burn);
  addoptions_edit->setText(dataset->addoptions);
  addoptions_edit->setEnabled(dataset->burn);
  exec();
}

void QvcdBurnDlg::burn_triggered()
{
  if(!burn_check->isChecked())
    {
      burnerdevice_edit->setEnabled(false);
      speed_spin->setEnabled(false);
      cdrdao_edit->setEnabled(false);
      addoptions_edit->setEnabled(false);
    }
  else
    {
      burnerdevice_edit->setEnabled(true);
      speed_spin->setEnabled(true);
      cdrdao_edit->setEnabled(true);
      addoptions_edit->setEnabled(true);
    }
}

void QvcdBurnDlg::OK_pressed()
{
  dataset->burn = burn_check->isChecked();
  dataset->burnerdevice = burnerdevice_edit->text();
  dataset->cdrdaobinary = cdrdao_edit->text();
  dataset->vcdimagerbinary = vcdimager_edit->text();
  dataset->burnspeed = speed_spin->value();
  dataset->addoptions = addoptions_edit->text();
  dataset->start = true;
  hide();
}

void QvcdBurnDlg::Cancel_pressed()
{
  dataset->start = false;
  hide();
}

