/***************************************************************************
                          qvcddoc.h  -  description
                             -------------------
    begin                : Fre Jan 18 16:12:22 CET 2002
    copyright            : (C) 2002 by Steffen Sobiech
    email                : steffen.sobiech@gmx.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef QVCDDOC_H
#define QVCDDOC_H

// include files for QT
#include <qobject.h>

// application specific includes

/**
  * the Document Class
  */

class QvcdDoc : public QObject
{
  Q_OBJECT

  public:
    bool burn;
    QString burnerdevice;
    QString cdrdaobinary;
    QString vcdimagerbinary;
    int burnspeed;
    QString format;
    bool compatmode;
    bool byte2336;
    int albumcount;
    int cdno;
    QString mpegfile;
    QString ISOvolume;
    QString ISOappid;
    QString ISOalbumid;
    QString destdir;
    QString actfilename;
    QString addoptions;
    bool start;
    QvcdDoc();
    ~QvcdDoc();
    void newDoc();
    bool save();
    bool saveAs(const QString &filename);
    bool load(const QString &filename);
    bool isModified() const;

  public slots:
    void setModified();
    void setNotModified();

  signals:
    void documentChanged();
    void updateDocument();

  protected:
    bool modified;
};

#endif
