/***************************************************************************
                          qvcdripdlg.h  -  description
                             -------------------
    begin                : Sun Oct 6 2002
    copyright            : (C) 2002 by Steffen Sobiech
    email                : steffen.sobiech@gmx.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef QVCDRIPDLG_H
#define QVCDRIPDLG_H

#include <string.h>
#include <stdlib.h>
#include <qapplication.h>
#include <qwidget.h>
#include <qdialog.h>
#include <qlayout.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qmultilineedit.h>
#include <qpushbutton.h>
#include <qcheckbox.h>
#include <qmessagebox.h>

#include "qvcddoc.h"
#include "filenamelabel.h"

/**
  *@author Steffen Sobiech
  */

class QvcdRipDlg : public QDialog  {
   Q_OBJECT
private:
  QVBoxLayout *vboxlayout1;
  QHBoxLayout *hboxlayout1;
  QGridLayout *gridlayout1;

  QPushButton *OK_button;
  QPushButton *info_button;
  QPushButton *Cancel_button;

  QLabel *readdevice_label;
  QLineEdit *readdevice_edit;
  QLabel *destdir_label;
  FilenameLabel *destdir_edit;
  QLabel *vcdrip_label;
  QLineEdit *vcdrip_edit;
  QMultiLineEdit *vcdrip_output;

  QCheckBox *applytomainview_check;

  QvcdDoc *doc;

  void gettoken(FILE *p, char *token, char term, char *dest, int buflen);
  void getInfo(QvcdDoc *dataset, const char *device, const char *vcdrip);
  void doRip(const char *device, const char *vcdrip, const char *destdir);

public slots:
  void ok_pressed();
  void cancel_pressed();
  void info_pressed();

signals:
  void changedDoc();

public:
  void showRipDlg(QvcdDoc *dataset);
	QvcdRipDlg(QWidget *parent=0, const char *name=0);
	~QvcdRipDlg();
};

#endif
