/***************************************************************************
                          qvcdview.h  -  description
                             -------------------
    begin                : Fre Jan 18 16:12:22 CET 2002
    copyright            : (C) 2002 by Steffen Sobiech
    email                : steffen.sobiech@gmx.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef QVCDVIEW_H
#define QVCDVIEW_H

// include files for QT
#include <qwidget.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qpushbutton.h>
#include <qlineedit.h>
#include <qlabel.h>
#include <qcheckbox.h>
#include <qlayout.h>
#include <qspinbox.h>
#include <qprogressbar.h>
#include <qmultilineedit.h>

#include <stdlib.h>

#include "filenamelabel.h"
#include "qvcdburndlg.h"
#include "qvcdripdlg.h"

// application specific includes
#include "qvcddoc.h"

/**
 * This class provides an incomplete base for your application view. 
 */

class QvcdView : public QWidget
{
  Q_OBJECT
  public:
    void burn();
    void rip();

    QvcdView(QWidget *parent=0, QvcdDoc* doc=0);
    ~QvcdView();

  private:
    QvcdBurnDlg *burnDlg;
    QvcdRipDlg *ripdlg;

    QVBoxLayout *VBox;
    QHBoxLayout *HBox;

    QButtonGroup *VCD_type_group;

    QButtonGroup *options_group;

    QRadioButton *VCD_type_vcd11;
    QRadioButton *VCD_type_vcd2;
    QRadioButton *VCD_type_svcd;

    QLabel *MPEG_filename_label;
    FilenameLabel *MPEG_filename_edit;

    QLabel *dest_directory_label;
    FilenameLabel *dest_directory_edit;

    QLabel *ISO_label_label;
    QLineEdit *ISO_label_edit;

    QCheckBox *ISO_appid_label;
    QLineEdit *ISO_appid_edit;

    QCheckBox *albumid_label;
    QLineEdit *albumid_edit;

    QLabel *album_count_label;
    QSpinBox *album_count_spin;
    QLabel *album_cdnumber_label;
    QSpinBox *album_cdnumber_spin;

    QCheckBox *compatibility_mode_check;

    QCheckBox *sector_2336_check;

    QProgressBar *progressbar;

    QMultiLineEdit *outputview;

    QvcdDoc *dataset;

  protected:
    QString constructFileNames(QString scrambledFileNames);
    int getNrOfFiles(QString constructed);
    QString getFileName(QString constructed, int nr);

  protected slots:
    void slotDocumentChanged();
    void updateDocument();

  public slots:
    void appid_triggered();
    void albumid_triggered();
    void clearForm();
};

#endif
